<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Menschderlader: menschderlader.models.soup.LinksSoup Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Menschderlader
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A bot that mimics a human while downloading files</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemenschderlader.html">menschderlader</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models.html">models</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models_1_1soup.html">soup</a></li><li class="navelem"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html">LinksSoup</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classmenschderlader_1_1models_1_1soup_1_1_links_soup-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">menschderlader.models.soup.LinksSoup Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for menschderlader.models.soup.LinksSoup:</div>
<div class="dyncontent">
<div class="center"><img src="classmenschderlader_1_1models_1_1soup_1_1_links_soup__inherit__graph.png" border="0" usemap="#menschderlader_8models_8soup_8_links_soup_inherit__map" alt="Inheritance graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for menschderlader.models.soup.LinksSoup:</div>
<div class="dyncontent">
<div class="center"><img src="classmenschderlader_1_1models_1_1soup_1_1_links_soup__coll__graph.png" border="0" usemap="#menschderlader_8models_8soup_8_links_soup_coll__map" alt="Collaboration graph"/></div>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae159940a7cc9e09ce7d37444ad0d1f41"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#ae159940a7cc9e09ce7d37444ad0d1f41">get_all_attrs</a> (self, attr_name)</td></tr>
<tr class="separator:ae159940a7cc9e09ce7d37444ad0d1f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab369b869b42333fb31be7d219cd12bda"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#ab369b869b42333fb31be7d219cd12bda">get_all_href</a> (self)</td></tr>
<tr class="separator:ab369b869b42333fb31be7d219cd12bda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b2d3c6ca7cf9b73fd9b319523630d25"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#a0b2d3c6ca7cf9b73fd9b319523630d25">get_all_src</a> (self)</td></tr>
<tr class="separator:a0b2d3c6ca7cf9b73fd9b319523630d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c8f13f731e5c14c84055d28cba609b3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#a5c8f13f731e5c14c84055d28cba609b3">get_all_links</a> (self)</td></tr>
<tr class="separator:a5c8f13f731e5c14c84055d28cba609b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17580fb7160a7a1f0da6a6c23bfd18a1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#a17580fb7160a7a1f0da6a6c23bfd18a1">insert_after</a> (self, successor)</td></tr>
<tr class="separator:a17580fb7160a7a1f0da6a6c23bfd18a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82bc10f0ca3bbbc6b29c3003f83dcc21"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#a82bc10f0ca3bbbc6b29c3003f83dcc21">insert_before</a> (self, successor)</td></tr>
<tr class="separator:a82bc10f0ca3bbbc6b29c3003f83dcc21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:acaa0a14b608efe1399c4672e0e67fa19"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#acaa0a14b608efe1399c4672e0e67fa19">REGEX_STR</a> = re.compile(&quot;^[a-zA-Z]+$&quot;)</td></tr>
<tr class="separator:acaa0a14b608efe1399c4672e0e67fa19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af52e2e46941acee839e37ff9f203269c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1soup_1_1_links_soup.html#af52e2e46941acee839e37ff9f203269c">REGEX_ALSO_SYM_AND_NUM</a> = re.compile(&quot;.&quot;)</td></tr>
<tr class="separator:af52e2e46941acee839e37ff9f203269c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Extends standard BeautifulSoup with links tools </pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae159940a7cc9e09ce7d37444ad0d1f41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae159940a7cc9e09ce7d37444ad0d1f41">&#9670;&nbsp;</a></span>get_all_attrs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.soup.LinksSoup.get_all_attrs </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>attr_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param attr_name: str
    Name of attribute to look for
:return: generator of str
    Finds all tags with such attribute
</pre> 
</div>
</div>
<a id="ab369b869b42333fb31be7d219cd12bda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab369b869b42333fb31be7d219cd12bda">&#9670;&nbsp;</a></span>get_all_href()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.soup.LinksSoup.get_all_href </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: [] of str
    List of all href attributes
</pre> 
</div>
</div>
<a id="a5c8f13f731e5c14c84055d28cba609b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c8f13f731e5c14c84055d28cba609b3">&#9670;&nbsp;</a></span>get_all_links()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.soup.LinksSoup.get_all_links </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: [] of str
    List of all links
</pre> 
</div>
</div>
<a id="a0b2d3c6ca7cf9b73fd9b319523630d25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b2d3c6ca7cf9b73fd9b319523630d25">&#9670;&nbsp;</a></span>get_all_src()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.soup.LinksSoup.get_all_src </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: [] of str
    List of all src attributes
</pre> 
</div>
</div>
<a id="a17580fb7160a7a1f0da6a6c23bfd18a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17580fb7160a7a1f0da6a6c23bfd18a1">&#9670;&nbsp;</a></span>insert_after()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.soup.LinksSoup.insert_after </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>successor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a82bc10f0ca3bbbc6b29c3003f83dcc21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82bc10f0ca3bbbc6b29c3003f83dcc21">&#9670;&nbsp;</a></span>insert_before()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.soup.LinksSoup.insert_before </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>successor</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="af52e2e46941acee839e37ff9f203269c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af52e2e46941acee839e37ff9f203269c">&#9670;&nbsp;</a></span>REGEX_ALSO_SYM_AND_NUM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.soup.LinksSoup.REGEX_ALSO_SYM_AND_NUM = re.compile(&quot;.&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acaa0a14b608efe1399c4672e0e67fa19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaa0a14b608efe1399c4672e0e67fa19">&#9670;&nbsp;</a></span>REGEX_STR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">menschderlader.models.soup.LinksSoup.REGEX_STR = re.compile(&quot;^[a-zA-Z]+$&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/menschderlader/menschderlader/models/<a class="el" href="soup_8py.html">soup.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
